
exports.up = async function(knex, Promise) {
    let relations = await knex.select().from('group_message_relationships');
    await knex('group_message_relationships').del();    
    await knex.schema.table('group_message_relationships', table => {
        table.dropColumn('status');
    });
    await knex.schema.table('group_message_relationships', table => {
        table.enum('status', ['join', 'host', 'publish', 'receive', 'internal']);
    });
    let entry;
    for(entry of relations){
        if(entry.status == "recieve"){
            entry.status = "receive";
        }
    }
    return knex('group_message_relationships').insert(relations);
};

exports.down = async function(knex, Promise) {
    let relations = await knex.select().from('group_message_relationships');
    await knex('group_message_relationships').del();    
    await knex.schema.table('group_message_relationships', table => {
        table.dropColumn('status');
    });
    await knex.schema.table('group_message_relationships', table => {
        table.enum('status', ['join', 'host', 'publish', 'recieve', 'internal']);
    });
    let entry;
    for(entry of relations){
        if(entry.status == "receive"){
            entry.status = "recieve";
        }
    }
    return knex('group_message_relationships').insert(relations);
};
